aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-physics/root/ChangeLog10
-rw-r--r--sci-physics/root/Manifest8
-rw-r--r--sci-physics/root/root-5.28.00h-r1.ebuild (renamed from sci-physics/root/root-5.28.00h.ebuild)5
-rw-r--r--sci-physics/root/root-5.32.02-r1.ebuild (renamed from sci-physics/root/root-5.32.02.ebuild)5
-rw-r--r--sci-physics/root/root-9999.ebuild7
5 files changed, 27 insertions, 8 deletions
diff --git a/sci-physics/root/ChangeLog b/sci-physics/root/ChangeLog
index 307e5843b..d290f708e 100644
--- a/sci-physics/root/ChangeLog
+++ b/sci-physics/root/ChangeLog
@@ -2,6 +2,16 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/ChangeLog,v 1.96 2012/03/29 18:21:49 bicatali Exp $
+*root-5.32.02-r1 (03 Apr 2012)
+*root-5.28.00h-r1 (03 Apr 2012)
+
+ 03 Apr 2012; Andrew Savchenko <bircoph@gmail.com> -root-5.28.00h.ebuild,
+ +root-5.28.00h-r1.ebuild, -root-5.32.02.ebuild, +root-5.32.02-r1.ebuild,
+ root-9999.ebuild:
+ Force format library dependencies on libafterimage and afterstep.
+ This fixes bug 408987. Port to other versions, 5.26 branch is not
+ affected.
+
*root-5.32.02 (02 Apr 2012)
02 Apr 2012; Andrew Savchenko <bircoph@gmail.com> -root-5.32.01-r2.ebuild,
diff --git a/sci-physics/root/Manifest b/sci-physics/root/Manifest
index 10057db9a..bab59d5b4 100644
--- a/sci-physics/root/Manifest
+++ b/sci-physics/root/Manifest
@@ -29,8 +29,8 @@ DIST root_v5.26.00g.source.tar.gz 29356003 RMD160 92d967cfa1859441da896bdaf58bad
DIST root_v5.28.00h.source.tar.gz 31654844 RMD160 b4ad8b71b833a1a1b7826b7b29c186504fb9a18c SHA1 5cd8c02ba2a1e84f11295c91b95a0f455ec016d8 SHA256 2adc46c70a01761215b5f685fb0ca4c62e03a3b53165a459ed72190627242651
DIST root_v5.32.02.source.tar.gz 55519485 RMD160 0700dbb56adebd07c4e667fa9f78f7a75f59e511 SHA1 f0aa091d9544a0a4215eb085ffa720498ca73e54 SHA256 5f14f50e4489cd74b3c5bdfbfff8379c6aaaf83d3ace3318c62964be6fdc38a2
EBUILD root-5.26.00g.ebuild 9478 RMD160 84b5c38f9b915ad402cb40802bd0e4d97ca86dba SHA1 9b3e82bcdd3c21689ab739738895e39a23245cf5 SHA256 5177cd8649a6152fa89592a032c7208a8074cc8613cc09a04635ba8dcbfd2342
-EBUILD root-5.28.00h.ebuild 9934 RMD160 9b96fb3a08de2986e8ff1d5530ad8c3ad5576778 SHA1 3d71288835eed36f864aa2b9e0677f7a9fcf77cf SHA256 dec048bc1e74c2075d126dbace0eafccb95596d01cde5ee180501c81ad01e235
-EBUILD root-5.32.02.ebuild 10025 RMD160 e99dae993b1bc540cdc038863a5f02ca5fed632d SHA1 fed70d0799c4bc0480da1b1293dbeb252a2a90fd SHA256 2eca3e5424fba6dd4614719b05dd915a51c2b1c1df8b38af42e0febd9850565d
-EBUILD root-9999.ebuild 10303 RMD160 d858a761c6f44729be412b34d28aa6c5ca461052 SHA1 7b997afd608d687a64f8918ef54a477488dd03ae SHA256 0e95b70f40cb284d525b6b53c7a9badb90b6898cf291f536d039e03825287773
-MISC ChangeLog 27994 RMD160 56614b401bbd324a28998f1ddb330473f984638b SHA1 f1bab7663f95a1127fac63f8e7e402a788ebca82 SHA256 46be5e6195701a8e91362cac8d96bb9ab6ca8494b5c04046d8297866f15a1cc1
+EBUILD root-5.28.00h-r1.ebuild 9978 RMD160 0b6a9338e1ea1d6008e01d23c3ad66f9c10ae212 SHA1 707668f7666fc259cded077803c88f1464573057 SHA256 97c1808af2986a3b7c2a773ff615f59cd25d50c19c270b6b0d7422b22fa144f7
+EBUILD root-5.32.02-r1.ebuild 10072 RMD160 0aead1e42f2601e976b034ae8d6c3595adacba47 SHA1 2e8c25e95c691128d89f7e8b268a3b0a4dfbecb9 SHA256 0de749d71510df425525beba0a3a33ab4bf48f17c9e1124ce4c6cbf6e4ab0b92
+EBUILD root-9999.ebuild 10350 RMD160 eb9ee3e0c44b66a72d33ada1a0b69d141126d9fb SHA1 a20a23bf11d0dc7b7d44816b86fc386c62a94670 SHA256 365c38eaf349dd177b1d0ef04f952766a4e14d0f736910773bba468b0af1db58
+MISC ChangeLog 28377 RMD160 9689fd4116f123fce5321814c6ad08214888fa7a SHA1 d960d4a5ef64e0108da390ef4dca89d7ea32fce6 SHA256 a8e48a4f9c548092668370569941498881506121d94b15292b3700aaf1ca31e6
MISC metadata.xml 1627 RMD160 5478d04d172076f583e1d9f541d62e880e5be1fa SHA1 707468734b4d2db052f5d9a2f50cd487aafc0288 SHA256 09e5bb09c9bb3a412303b03fb3b3aa09e958e980874e26b0577e20b86164c5e5
diff --git a/sci-physics/root/root-5.28.00h.ebuild b/sci-physics/root/root-5.28.00h-r1.ebuild
index 51a00d0d3..64b796641 100644
--- a/sci-physics/root/root-5.28.00h.ebuild
+++ b/sci-physics/root/root-5.28.00h-r1.ebuild
@@ -44,7 +44,10 @@ CDEPEND="
x11-libs/libXext
x11-libs/libXft
x11-libs/libXpm
- || ( >=media-libs/libafterimage-1.20 >=x11-wm/afterstep-2.2.11 )
+ || (
+ >=media-libs/libafterimage-1.20[gif,jpeg,png,tiff]
+ >=x11-wm/afterstep-2.2.11[gif,jpeg,png,tiff]
+ )
afs? ( net-fs/openafs )
avahi? ( net-dns/avahi )
clarens? ( dev-libs/xmlrpc-c )
diff --git a/sci-physics/root/root-5.32.02.ebuild b/sci-physics/root/root-5.32.02-r1.ebuild
index 025dbfb5c..44ca400fd 100644
--- a/sci-physics/root/root-5.32.02.ebuild
+++ b/sci-physics/root/root-5.32.02-r1.ebuild
@@ -44,7 +44,10 @@ CDEPEND="
x11-libs/libX11
x11-libs/libXext
x11-libs/libXpm
- || ( >=media-libs/libafterimage-1.20 >=x11-wm/afterstep-2.2.11 )
+ || (
+ >=media-libs/libafterimage-1.20[gif,jpeg,png,tiff]
+ >=x11-wm/afterstep-2.2.11[gif,jpeg,png,tiff]
+ )
opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps )
qt4? (
x11-libs/qt-gui:4
diff --git a/sci-physics/root/root-9999.ebuild b/sci-physics/root/root-9999.ebuild
index 6a05fd183..3ffcc4f6a 100644
--- a/sci-physics/root/root-9999.ebuild
+++ b/sci-physics/root/root-9999.ebuild
@@ -45,16 +45,19 @@ CDEPEND="
media-libs/giflib
media-libs/libpng:0
media-libs/tiff:0
- virtual/shadow
sys-libs/zlib
virtual/jpeg
+ virtual/shadow
X? (
media-libs/ftgl
media-libs/glew
x11-libs/libX11
x11-libs/libXext
x11-libs/libXpm
- || ( >=media-libs/libafterimage-1.20 >=x11-wm/afterstep-2.2.11 )
+ || (
+ >=media-libs/libafterimage-1.20[gif,jpeg,png,tiff]
+ >=x11-wm/afterstep-2.2.11[gif,jpeg,png,tiff]
+ )
opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps )
qt4? (
x11-libs/qt-gui:4